Bug 57502 - Internal Compiler Error while compiling kdelibs on ia64
Internal Compiler Error while compiling kdelibs on ia64
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
1.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-14 08:50 EST by Bernhard Rosenkraenzer
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-19 08:20:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bzip2'ed preprocessor output at -O2 (19.26 KB, application/octet-stream)
2001-12-14 10:36 EST, Bernhard Rosenkraenzer
no flags Details

  None (edit)
Description Bernhard Rosenkraenzer 2001-12-14 08:50:22 EST
Description of Problem:
gcc -DHAVE_CONFIG_H -I. -I. -I../../.. -I../../../arts/flow
-I../../../arts/mco
p -I../../../dcop -I../../../libltdl -I../../../kdecore -I../../../kdeui
-I../.
./../kssl -I/usr/lib/qt3/include -I/usr/X11R6/include -DQT_THREAD_SUPPORT
-D_RE
ENTRANT -I/usr/include/pcre -DGSL_WANT_GLIB_WRAPPER -DGSL_WANT_ARTS_THREADS
-DN
DEBUG -O2 -O2 -fno-rtti -fno-exceptions -fno-check-new -O3 -DNDEBUG -UDEBUG
-DN
ODEBUG -UDEBUG_ASYNC_TRANSFER -UVPORT_DEBUG -UDEBUG_IO -UDEBUG_MESSAGES
-UDEBUG
_AUTH -UDEBUG_CONNECTION_DATA -DYYDEBUG=0 -UNETWMDEBUG -UCSS_DEBUG
-UCSS_STYLES
HEET_DEBUG -USPEED_DEBUG -UKJS_DEBUGGER -UFORMS_DEBUG -UDEBUG_LAYOUT
-UDEBUG_DR
AW_BORDER -UPARSER_DEBUG -UDECODE_DEBUG -UCACHE_DEBUG -UBUFFER_DEBUG
-UJPEG_DEB
UG -UDEBUG_LINEBREAKS -UBOX_DEBUG -UTABLE_DEBUG -UYYERROR_VERBOSE
-UKJS_DEBUG_M
EM -UMIDIOUTDEBUG -UGENERAL_DEBUG_MESSAGES -D_GNU_SOURCE
-Wp,-MD,.deps/gslopmas
ter.pp -c gslopmaster.c  -fPIC -DPIC -o .libs/gslopmaster.o
gslopmaster.c: In function `op_node_disconnect':
gslopmaster.c:102: warning: assignment of read-only member `connected'
gslopmaster.c:105: warning: assignment of read-only member `connected'
gslopmaster.c: In function `master_process_job':
gslopmaster.c:185: warning: assignment of read-only member `connected'
gslopmaster.c:190: warning: assignment of read-only member `connected'
gslmath.c: In function `zrhqr':
gslmath.c:1086: Internal compiler error in ia64_adjust_cost, at
config/ia64/ia6
4.c:5277
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[4]: *** [gslmath.lo] Error 1


Version-Release number of selected component (if applicable):
3.1-0.10

How Reproducible:
100%

Steps to Reproduce:
1.  Try building kdelibs on ia64

Additional Information:
Happened in beehive; therefore I don't have preprocessor output ATM. Will
attach it later.
Comment 1 Bernhard Rosenkraenzer 2001-12-14 10:31:42 EST
Works at -O2 and lower
Comment 2 Bernhard Rosenkraenzer 2001-12-14 10:32:44 EST
Typo, s/-O2/-O1/ of course.
Comment 3 Bernhard Rosenkraenzer 2001-12-14 10:36:44 EST
Created attachment 40627 [details]
bzip2'ed preprocessor output at -O2
Comment 4 Bernhard Rosenkraenzer 2001-12-14 10:44:46 EST
Workaround found (-O1), reducing priority to normal.
Comment 5 Jakub Jelinek 2001-12-19 08:20:48 EST
Should be fixed by http://gcc.gnu.org/ml/gcc-patches/2001-12/msg02099.html
Comment 6 Jakub Jelinek 2001-12-31 05:43:53 EST
Use gcc-3.1-0.11 or above.

Note You need to log in before you can comment on or make changes to this bug.